Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Class CitySubdivisionDao

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.gisgraphy.domain.repository.GenericDao<T,java.lang.Long>
                  com.gisgraphy.domain.repository.GenericGisDao<CitySubdivision>
                      com.gisgraphy.domain.repository.CitySubdivisionDao

All Implemented Interfaces:
  IDao<CitySubdivision,java.lang.Long>, IGisDao<CitySubdivision>, org.springframework.beans.factory.InitializingBean

    @Repository
    public class CitySubdivisionDao

extends GenericGisDao<CitySubdivision>
implements IGisDao<CitySubdivision>

A data access object for `CitySubdivision` Object

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.domain.repository.GenericGisDao
`GEOMETRY_TYPE, MAX_FULLTEXT_RESULTS`

Fields inherited from class com.gisgraphy.domain.repository.GenericDao
`persistentClass`

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`CitySubdivisionDao()` Default constructor

Method Summary

Methods inherited from class com.gisgraphy.domain.repository.GenericGisDao
`deleteAll, deleteAll, getByFeatureId, getDirties, getEager, getNearestAndDistanceFrom, getNearestAndDistanceFrom, getNearestAndDistanceFrom, getNearestAndDistanceFromGisFeature, getNearestAndDistanceFromGisFeature, listByFeatureIds, listByName, listFromText, listFromText, remove, save, setEventManager`

Methods inherited from class com.gisgraphy.domain.repository.GenericDao
`count, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, setFlushMode`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gisgraphy.domain.repository.IGisDao
`getByFeatureId, getDirties, getEager, getNearestAndDistanceFrom, getNearestAndDistanceFrom, getNearestAndDistanceFromGisFeature, getNearestAndDistanceFromGisFeature, listByFeatureIds, listByName, listFromText`

Methods inherited from interface com.gisgraphy.domain.repository.IDao
`count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

Constructor Detail

### CitySubdivisionDao

    public CitySubdivisionDao()

  Default constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.